%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:       nodejs-wrappy
Version:    1.0.1
Release:    1%{?dist}
Summary:    Callback wrapping utility
License:    ISC
URL:        https://github.com/npm/wrappy
Source:     https://github.com/npm/wrappy/archive/v%{version}.tar.gz 

BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(tap)

ExclusiveArch: %{nodejs_arches} noarch

%description
Callback wrapping utility for node.js

%prep
%setup -q -n wrappy-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-wrappy
cp -pr wrappy.js package.json \
    %{buildroot}%{nodejs_sitelib}/nodejs-wrappy


%check
%if 0%{?enable_tests}
%check
tap test/*.js
%endif

%files
%doc LICENSE README.md test/ 
%{nodejs_sitelib}/nodejs-wrappy


%changelog
* Thu Nov 06 2014 Anish Patil <apatil@redhat.com> - 1.0.1-1
- Initial package
